import { AfterContentInit, OnInit, OnDestroy, Renderer2 } from '@angular/core';
import { NgForm } from '@angular/forms';
import { Locale, LocaleProvider, FormValidationError } from '@js-sugar/angular';
export declare class FormFieldComponent implements OnInit, AfterContentInit, OnDestroy {
    private _form;
    private _l;
    private _renderer;
    label: string;
    hint: string;
    showErrors: boolean;
    showRequiredMarker: boolean;
    private _ngControl;
    private _ngControlElement;
    private _isRequired;
    private _subscription;
    private _firstError;
    private _locale;
    get firstError(): FormValidationError;
    get isRequired(): boolean;
    get touched(): boolean;
    get dirty(): boolean;
    constructor(_form: NgForm, _l: Locale | LocaleProvider, _renderer: Renderer2);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    private _onStatusChange;
    private _isRequiredField;
    ngOnDestroy(): void;
}
